<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:poll="http://typo3.org/ns/CodingMs/Poll/ViewHelpers">

	<f:section name="Default">
		<!-- poll: Partials/Question/Single.html Default [begin] -->

		<div class="poll-question single layout-default {question.additionalCssClass} {f:if(condition: questionIteration.isOdd, then: 'odd')} {f:if(condition: questionIteration.isEven, then: 'even')}" id="poll-question-{question.uid}">

			<f:render partial="Poll/Question/ShowHrBefore" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/Headline" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/ErrorMessages" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question" section="Default" arguments="{_all}" />

			<!-- Answers -->
			<div class="poll-question-answers">
				<f:for each="{question.questionAnswer}" as="answer" iteration="questionAnswerIteration">
					<div class="poll-answer {f:if(condition: questionAnswerIteration.isOdd, then: 'odd')} {f:if(condition: questionAnswerIteration.isEven, then: 'even')}"
						 id="poll-answer-{answer.uid}">

						<f:render partial="Poll/Question/Answer/Image" section="Default" arguments="{_all}" />

						<label class="poll-radio">
							<!-- If the answer is available in answers-array.. -->
							<f:if condition="{poll:variable.get(name: 'answers.question_{question.uid}')}">
								<f:then>
									<!-- use the value -->
									<f:form.radio name="answers[question_{question.uid}]"
												  checked="{answer.uid} == {poll:variable.get(name: 'answers.question_{question.uid}')}"
												  id="question_answer_{question.uid}_{answer.uid}"
												  value="{answer.uid}" />
								</f:then>
								<f:else>
									<!-- otherwise use the default value -->
									<f:form.radio name="answers[question_{question.uid}]"
												  id="question_answer_{question.uid}_{answer.uid}"
												  value="{answer.uid}" checked="{answer.answer} == {question.questionAnswerDefault}" />
								</f:else>
							</f:if>
							<span class="poll-radio-label">{answer.answer}</span>
						</label>

						<f:render partial="Poll/Question/Answer/Description" section="Default" arguments="{_all}" />

					</div>
				</f:for>
			</div>

		</div>

		<!-- poll: Partials/Question/Single.html Default [end] -->
	</f:section>


	<f:section name="SelectBox">
		<!-- poll: Partials/Question/Single.html SelectBox [begin] -->

		<div class="poll-question select-box layout-default {question.additionalCssClass} {f:if(condition: questionIteration.isOdd, then: 'odd')} {f:if(condition: questionIteration.isEven, then: 'even')}" id="poll-question-{question.uid}">

			<f:render partial="Poll/Question/ShowHrBefore" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/Headline" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/ErrorMessages" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question" section="Default" arguments="{_all}" />

			<!-- Answers -->
			<div class="poll-question-answers">
				<!-- If the answer is available in answers-array.. -->
				<f:if condition="{poll:variable.get(name: 'answers.question_{question.uid}')}">
					<f:then>
						<!-- use the value -->
						<f:form.select name="answers[question_{question.uid}]"
									   options="{question.questionAnswer}"
									   optionValueField="uid"
									   optionLabelField="answer"
									   value="{poll:variable.get(name: 'answers.question_{question.uid}')}" />
					</f:then>
					<f:else>
						<f:variable name="selection" value="0"/>
						<f:for each="{question.questionAnswer}" as="answer">
							<f:if condition="{answer.answer} == {question.questionAnswerDefault}">
								<f:variable name="selection" value="{answer.uid}"/>
							</f:if>
						</f:for>
						<!-- otherwise use the default value -->
						<f:form.select name="answers[question_{question.uid}]"
									   options="{question.questionAnswer}"
									   optionValueField="uid"
									   optionLabelField="answer"
									   value="{selection}" />
					</f:else>
				</f:if>
			</div>

		</div>

		<!-- poll: Partials/Question/Single.html SelectBox [end] -->
	</f:section>


	<f:section name="InlineScaled">
		<!-- poll: Partials/Question/Single.html InlineScaled [begin] -->

		<div class="poll-question single layout-inline-scaled {question.additionalCssClass} {f:if(condition: questionIteration.isOdd, then: 'odd')} {f:if(condition: questionIteration.isEven, then: 'even')}" id="poll-question-{question.uid}">

			<f:render partial="Poll/Question/ShowHrBefore" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/Headline" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/ErrorMessages" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question" section="Default" arguments="{_all}" />

			<!-- Answers -->
			<div class="poll-question-answers d-flex">
				<f:for each="{question.questionAnswer}" as="answer" iteration="questionAnswerIteration">
					<div class="poll-answer flex-fill {f:if(condition: questionAnswerIteration.isOdd, then: 'odd')} {f:if(condition: questionAnswerIteration.isEven, then: 'even')}"
						 id="poll-answer-{answer.uid}">

						<f:render partial="Poll/Question/Answer/Image" section="Default" arguments="{_all}" />

						<label class="poll-radio">
							<!-- If the answer is available in answers-array.. -->
							<f:if condition="{poll:variable.get(name: 'answers.question_{question.uid}')}">
								<f:then>
									<!-- use the value -->
									<f:form.radio name="answers[question_{question.uid}]"
												  id="question_answer_{question.uid}_{answer.uid}"
												  checked="{answer.uid} == {poll:variable.get(name: 'answers.question_{question.uid}')}"
												  value="{answer.uid}" />
								</f:then>
								<f:else>
									<!-- otherwise use the default value -->
									<f:form.radio name="answers[question_{question.uid}]"
												  id="question_answer_{question.uid}_{answer.uid}"
												  value="{answer.uid}" checked="{answer.answer} == {question.questionAnswerDefault}" />
								</f:else>
							</f:if>
							<span class="poll-radio-label">{answer.answer}</span>
						</label>

						<f:render partial="Poll/Question/Answer/Description" section="Default" arguments="{_all}" />

					</div>
				</f:for>
			</div>
			<div class="poll-answer-scale">
				<div class="poll-answer-scale-left-label float-left"><small class="text-danger"><f:translate key="tx_poll_label.very_bad" /></small></div>
				<div class="poll-answer-scale-right-label float-right"><small class="text-success"><f:translate key="tx_poll_label.very_good" /></small></div>
			</div>

		</div>

		<!-- poll: Partials/Question/Single.html InlineScaled [end] -->
	</f:section>

</div>
